Subject: Re: reverse delegation under ip6.arpa.?

From: JINMEI Tatuya / 神明達哉 <[email-masked]>
Date: Fri, 30 Nov 2001 23:21:03 +0900

I've cc'ed this reply to namedroppers, which might be a better place
to discuss this issue.

>>>>> On Wed, 28 Nov 2001 09:35:53 +0100, 
>>>>> JOIN Project Team <[email-masked]> said:

> recently I was very surprised, when I found that there is an existing 
> ip6.arpa. domain, where the reverse IPv6 nibble format is delegated to 
> the registries. 

> I found no mail or announcement anywhere that from now on ip6.arpa should be 
> used for the reverse nibble format. Is that a fact, or is ip6.arpa just a 
> global testing scenario that is confusing me?

> I know that ip6.arpa should be used instead of ip6.int for political reasons, 
> but I always expected to stay the nibble format in ip6.int and the bit-string 
> labels to appear in ip6.arpa someday. 

> Well, ok, now that the bit-string labels are to be changed to experimental, 
> that might be not possible anymore. But I'm not sure if it such a good idea 
> to just change the zones. 

> Right now there is a well established and well working tree under ip6.int.
> If there will grow a second tree under ip6.arpa now, things might become 
> very confusing. 
> As a resolver, I don't know if I have to lookup the name for my IPv6 address 
> starting with .arpa or starting .int. If I lookup in the wrong tree, I might 
> get no answer, while the correct one is in the other tree. Yes, I could 
> lookup in both trees, but if the answers differ, which one is the correct one?

> Is there a solution for this? What is the current policy? Maybe I am confused
> because I missed something?

I'd also like to know the current policy on this.  The current status
is really confusing and can be a serious barrier to deploy IPv6.

Honestly, if we are allowed to live with the current spec
(i.e. ip6.int. with the nibble format), I'll be really happy.
However, the transition to ip6.arpa is inevitable, we should be ready
for this as soon as possible, both in operation and in implementation.

					JINMEI, Tatuya
					Communication Platform Lab.
					Corporate R&D Center, Toshiba Corp.
					[email-masked]

to unsubscribe send a message to [email-masked] with
the word 'unsubscribe' in a single line as the message text body.